{
  "name": "client",
  "version": "0.0.0",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc --noEmit && vite build && node versionize && cp ./dist/index.html ../server/vbv_lernwelt/templates/vue/index.html && rm -rf ../server/vbv_lernwelt/static/vue/* && cp -r ./dist/static/vue ../server/vbv_lernwelt/static/",
    "build:tailwind": "tailwindcss -i tailwind.css -o ../server/vbv_lernwelt/static/css/tailwind.css --minify",
    "codegen": "graphql-codegen",
    "test": "vitest run",
    "coverage": "vitest run --coverage",
    "typecheck": "vue-tsc --noEmit -p tsconfig.app.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "prettier": "prettier . --write",
    "prettier:check": "prettier . --check",
    "tailwind": "tailwindcss -i tailwind.css -o ../server/vbv_lernwelt/static/css/tailwind.css --watch"
  },
  "dependencies": {
    "@headlessui/tailwindcss": "^0.1.2",
    "@headlessui/vue": "^1.6.7",
    "@sentry/tracing": "^7.20.0",
    "@sentry/vue": "^7.20.0",
    "@urql/vue": "^1.0.2",
    "d3": "^7.6.1",
    "graphql": "^16.6.0",
    "lodash": "^4.17.21",
    "loglevel": "^1.8.0",
    "pinia": "^2.0.21",
    "vue": "^3.2.38",
    "vue-i18n": "^9.2.2",
    "vue-router": "^4.1.5"
  },
  "devDependencies": {
    "@graphql-codegen/cli": "^2.13.12",
    "@graphql-codegen/client-preset": "^1.1.4",
    "@rollup/plugin-alias": "^3.1.9",
    "@rushstack/eslint-patch": "^1.1.4",
    "@tailwindcss/forms": "^0.5.2",
    "@tailwindcss/typography": "^0.5.4",
    "@testing-library/vue": "^6.6.1",
    "@types/d3": "^7.4.0",
    "@types/jsdom": "^20.0.0",
    "@types/lodash": "^4.14.184",
    "@types/node": "^18.7.14",
    "@vitejs/plugin-vue": "^3.0.3",
    "@volar/vue-typescript": "^1.0.9",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/eslint-config-typescript": "^11.0.0",
    "@vue/test-utils": "^2.0.2",
    "@vue/tsconfig": "^0.1.3",
    "autoprefixer": "^10.4.8",
    "eslint": "8.22.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-vue": "^9.4.0",
    "jsdom": "^20.0.0",
    "postcss": "^8.4.14",
    "postcss-import": "^14.1.0",
    "prettier": "^2.7.1",
    "prettier-plugin-organize-imports": "^3.1.1",
    "replace-in-file": "^6.3.5",
    "sass": "^1.54.6",
    "sass-loader": "^12.6.0",
    "start-server-and-test": "^1.14.0",
    "tailwindcss": "^3.1.8",
    "typescript": "^4.8.2",
    "vite": "^3.0.9",
    "vitest": "^0.22.1",
    "vue-tsc": "^1.0.9"
  }
}
